import { baseFetch } from '.';

type ImageVcodePramas = {
  effective?: number;
  loginName: string;
  codeNum?: number;
};
export const getImageVcode = (data: ImageVcodePramas) =>
  baseFetch({
    url: `/common/getCode?loginName=${data.loginName}&codeNum=4`,
    method: 'POST',
    data: data,
  });
type VcodePramas = {
  cellphone: string;
};
export const getVcode = (entity: VcodePramas) =>
  baseFetch({
    url: `/common/sendMsgCode?cellphone=${entity.cellphone}&codeNum=6`,
    method: 'POST',
    data: entity,
  });
